<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imrects</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="impixelval.html">&lt;&lt; impixelval</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imroi.html">imroi &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a> &gt; imrects</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imrects</h1>
    <p class="refpurpose">Draw Bounding Boxes on An Image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="functionid">imrects</span><span class="default">(</span><span class="default">BB</span><span class="default">,</span><span class="default">rgb</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">BB :</span>
      <dd><p class="para">Bounding Boxes, 4 by M, in which each column representing 1 box in [x,y,w,h].</p></dd></dt>
   <dt><span class="term">rgb :</span>
      <dd><p class="para">RGB values with value from 0 to 255 in [R,G,B] format</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function draw rectangles on the image using given bounding boxes paremeters.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">A</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/coins.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">Agray</span> <span class="scilaboperator">=</span> <span class="scilabid">rgb2gray</span><span class="scilabopenclose">(</span><span class="scilabid">A</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">Abin</span> <span class="scilaboperator">=</span> <span class="scilabid">im2bw</span><span class="scilabopenclose">(</span><span class="scilabid">Agray</span><span class="scilabdefault">,</span><span class="scilabid">imgraythresh</span><span class="scilabopenclose">(</span><span class="scilabid">Agray</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">se</span> <span class="scilaboperator">=</span> <span class="scilabid">imcreatese</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">ellipse</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">15</span><span class="scilabdefault">,</span><span class="scilabnumber">15</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">A_close</span> <span class="scilaboperator">=</span> <span class="scilabid">imclose</span><span class="scilabopenclose">(</span><span class="scilaboperator">~</span><span class="scilabid">Abin</span><span class="scilabdefault">,</span><span class="scilabid">se</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">A_labeled</span><span class="scilabdefault">,</span><span class="scilabid">n</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">imlabel</span><span class="scilabopenclose">(</span><span class="scilabid">A_close</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">Area</span><span class="scilabdefault">,</span> <span class="scilabid">BB</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">imblobprop</span><span class="scilabopenclose">(</span><span class="scilabid">A_labeled</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">A</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imrects</span><span class="scilabopenclose">(</span><span class="scilabid">BB</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">255</span> <span class="scilabnumber">0</span> <span class="scilabnumber">0</span><span class="scilabopenclose">]</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imlabel.html" class="link">imlabel</a></li>
   <li class="member"><a href="imblobprop.html" class="link">imblobprop</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="impixelval.html">&lt;&lt; impixelval</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imroi.html">imroi &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
